MetadataSession
Date: 2013-06-18

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.portlets.session.client
Class MetadataSession

    java.lang.Object
      org.gcube.portlets.session.client.MetadataSession

    public class MetadataSession

extends java.lang.Object

Constructor Summary
`MetadataSession(java.lang.String metadataCollectionId, java.lang.String objectId)`
`MetadataSession(java.lang.String metadataCollectionId, java.lang.String objectId, java.lang.String schemaURI)`

Method Summary
`boolean` | `checkIsInitialized()`
`java.lang.String` | `getmetaColId()`
`java.lang.String` | `getObjectId()`
`java.lang.String` | `getSchemaName()`
`java.lang.String` | `getSchemaURI()`
`void` | `setIsInitialized(boolean isInitialized)`
`void` | `setmetaColId(java.lang.String metadataCollectionId)`
`void` | `setObjectId(java.lang.String metadataObjectId)`
`void` | `setSchemaName(java.lang.String name)`
`void` | `setSchemaURI(java.lang.String schemaURI)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MetadataSession

    public MetadataSession(java.lang.String metadataCollectionId,
                           java.lang.String objectId)

### MetadataSession

    public MetadataSession(java.lang.String metadataCollectionId,
                           java.lang.String objectId,
                           java.lang.String schemaURI)

Method Detail

### setmetaColId

    public void setmetaColId(java.lang.String metadataCollectionId)

### getmetaColId

    public java.lang.String getmetaColId()

### setObjectId

    public void setObjectId(java.lang.String metadataObjectId)

### getObjectId

    public java.lang.String getObjectId()

### setSchemaURI

    public void setSchemaURI(java.lang.String schemaURI)

### getSchemaURI

    public java.lang.String getSchemaURI()

### setSchemaName

    public void setSchemaName(java.lang.String name)

### getSchemaName

    public java.lang.String getSchemaName()

### checkIsInitialized

    public boolean checkIsInitialized()

### setIsInitialized

    public void setIsInitialized(boolean isInitialized)

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD